* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

:root {
  --fundo-principal: #f5f5f5;
  --texto: #222222;
  --texto-inverso: #ffffff;
  --destaque: #0077ff;
  --destaque-inverso: #66bbff;
  --fundo-card: #ffffff;
}

body.escuro {
  --fundo-principal: #222222;
  --texto:#e0e0e0;
  --texto-inverso:#333333;
  --destaque:#ff5522;
  --destaque-inverso:#a73917;
  --fundo-card:#444444;
}

body {
  font-family: Verdana, Tahoma, sans-serif;
  line-height: 1.5em;
  background-color: var(--fundo-principal);
  color: var(--texto);
  transition: background-color 0.5s, color 0.5s;
}

header {
  background-color: var(--destaque);
  color: var(--texto);
  padding: 10px;
  display: flex;
  justify-content: flex-end;
  align-content: center;
  position: sticky;
  top: 0;
  z-index: 1;
}

nav#menu ul {
  list-style: none;
  display: flex;
  gap: 10px;
}

nav#menu a {
  text-decoration: none;
  color: var(--texto-inverso);
  font-weight: 600;
  border-radius: 5px;
  padding: 12px 15px;
  transition: background-color 0.5s color 0.5s;
}

nav#menu a:hover {
  background-color: var(--destaque-inverso);
  color: var(--destaque);
}

main {
  display: grid;
  grid-template-columns: auto 90vw auto;
  gap: 20px;
  margin-top: 20px;

}

section#ficha {
  background-color: var(--fundo-card);
  padding: 20px;
  border-radius: 8px;
  grid-column: 2;
}

section#ficha img.foto {
  width: 220px;
  height: 220px;
  aspect-ratio: 1/1;
  object-fit: cover;
  object-position: center 32%;
  overflow: hidden;
  border-radius: 50%;
  border: 5px solid var(--fundo-card);
  outline: 5px solid var(--destaque);
  display: block;
  margin: auto;
}

section#ficha h1 {
  color: var(--destaque);
  margin: 15px 0px;
  font-size: 1.5em;
  text-align: left;
  text-align: center;
}

div#social {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.6em;
  gap: 1em;
  margin-top: 15px;
}

div#social a {
  color: var(--destaque);
  transition: color 0.5s;
}

div#social a:hover {
  color: var(--destaque-inverso);
}

section#detalhes {
  grid-column: 2;
}

article {
  background-color: var(--fundo-card);
  padding: 20px;
  margin-bottom: 20px;
  border-radius: 8px;
}

.fa-regular{
  margin-right: 8px;
}
article h2 {
  color: var(--destaque);
  margin-bottom: 20px;
}
#skill-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;

}

#skill-container .item {
  background-color: var(--fundo-principal);
  border: 1px solid var(--destaque);
  border-radius: 8px;
  padding: 14px 16px;
  transition: border-color 0.3s, transform 0.3s;
}

#skill-container .item:hover {
  border-color: var(--destaque-inverso);
  transform: translateY(-2px);
}

.Div-SoftSkills {
  margin-bottom: -25px;
  grid-column: 1 / -1;
}

.soft-skills-container {
  display: grid;
  grid-template-columns: 1fr;
  grid-column: 1 / -1;
  width: 100%;
  gap: 15px;
}

.nome {
  display: flex;
  align-items: center;
  gap: 10px;
  font-weight: bold;
  color: var(--texto);
}

.nome i {
  font-size: 1.6rem;
}

#formacao-container {
  display: flex;
  flex-direction: column-reverse;
  gap: 20px;
}

#formacao-container #curso {
  background-color: var(--fundo-principal);
  border-radius: 8px;
  border-left:5px solid var(--destaque-inverso);
  padding-left: 15px;
  transition: border-width 0.5s, border-color 0.5s;
}

#formacao-container #curso:hover {
  border-left-width: 15px;
  cursor: pointer;
  border-color:var(--destaque);
}

#formacao-container .periodo {
  font-size: 0.8em;
  font-weight: bold;
  color: var(--texto);
}

#formacao-container .instituicao {
  color: var(--destaque-inverso);
  font-size: 1.1em;
} 

#projeto-conteiner {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.projeto {
  border: 1px solid rgba(0, 0, 0, 0.200);
  border-radius: 8px;
  overflow: hidden;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.foto-projeto {
  width: 100%;
  height: 200px;
  object-fit: cover;
  object-position: top;
}

.projeto-info {
  padding: 15px;
}

.projeto-info h3 {
  margin-bottom: 5px;
  font-size: 1.2rem;
}

.techs-usadas {
  margin: 10px 0;
  display: flex;
  gap: 5px;
}

.techs-usadas small {
  background: #eee;
  padding: 2px 8px;
  border-radius: 4px;
  font-size: 0.75rem;
  color: #555;
}

.botoes-projeto {
  display: flex;
  gap: 10px;
  margin-top: 15px;
}

.btn-demo, .btn-code {
  flex: 1;
  text-align: center;
  padding: 10px;
  border-radius: 5px;
  text-decoration: none;
  font-weight: bold;
  font-size: 0.9rem;
  transition: background 0.3s;
}

.btn-demo {
  background-color: var(--destaque);
  color: white;

  &:hover{
    background-color: var(--destaque-hover); 
  }
}

.btn-code {
    background-color: transparent;
    border: 1px solid var(--destaque);
    color: var(--destaque);

  &:hover {
    background-color: var(--destaque);
    color: white; 
  }
}

footer {
  background-color: var(--destaque);
  color: var(--texto-inverso);
  text-align: center;
  padding: 15px;
}

@media screen and (min-width: 768px) {
  main {
    grid-template-columns: auto 380px 1fr auto;
  }

  section#ficha {
    grid-column: 2/3;
    height: fit-content;
    position: sticky;
    top: 65px;
  }

  section#detalhes {
    grid-column: 3/4;
  }

  #skill-container {
    grid-template-columns: 1fr 1fr;
  }

  .soft-skills-container {
    grid-template-columns: 1fr 1fr;
  }

  #projeto-conteiner .projeto {
    flex-direction: row-reverse;
    justify-content: space-between;
  }

  #projeto-conteiner .projeto-info {
    width: 80%;
  }

  #projeto-conteiner .foto-projeto {
    aspect-ratio: 1/1;
    max-width: 20%;
    max-height: 200px;
  }
}

